:host {
  display: block;
  margin: 0 !important;
  padding: 0 !important;
}

header {
  background-color: var(--primary-color);
  padding: 1em;

  h1 {
    margin: 0;
    margin-bottom: 1em;
    color: var(--primary-text-color-inverted);
  }

  div {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }
}

[subsystems] {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: flex-start;

  #resultbox {
    div {
      margin: 0;
      padding: 1em;
      border-bottom: #{"1px solid rgba(var(--primary-text-color-rgb), var(--divider-opacity))"};

      &[fail] {
        background-color: var(--error-color);
      }

      h3 {
        margin: 0;
      }
    }
  }

  [quick][actions] {
    display: flex;
    flex-direction: row;
    padding: .5em;
  }
}

img {
  width: 32px;
  display: block;
  margin: auto;
  &[hide] {
    display: none;
  }
}
